#
# spec file for package python3-pycares
#
# Copyright (c) 2016 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python3-pycares
Version:        2.1.1
Release:        1.6
Summary:        Python interface for c-ares
License:        MIT
Group:          Development/Languages/Python
Url:            http://github.com/saghul/pycares
Source:         https://files.pythonhosted.org/packages/source/p/pycares/pycares-%{version}.tar.gz
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
pycares is a Python module which provides an interface to c-ares.
`c-ares <http://c-ares.haxx.se>`_ is a C library that performs
DNS requests and name resolutions asynchronously.
alike :-)

%prep
%setup -q -n pycares-%{version}

%build
python3 setup.py build

%install
python3 setup.py install --prefix=%{_prefix} --root=%{buildroot}

%files
%defattr(-,root,root,-)
%doc ChangeLog README.rst LICENSE TODO
%dir %{python3_sitearch}/pycares/
%dir %{python3_sitearch}/pycares/__pycache__/
%{python3_sitearch}/pycares/*
%{python3_sitearch}/pycares/__pycache__/*
%{python3_sitearch}/pycares-%{version}-py*.egg-info

%changelog
* Sat Dec  3 2016 arun@gmx.de
- update to version 2.1.1:
  * cffi: fix setting nameserver in Channel.__init__
  * doc: update Sphinx configuration so the docs can be built
  * core: backport fix for CVE-2016-5180
  * cffi: fix structure definition
  * ci: use PyPy 5.4.1 when testing on Travis
* Thu Jun 23 2016 arun@gmx.de
- update to version 2.1.0:
  * core: fix parsing chunked TXT records
* Sat May 28 2016 arun@gmx.de
- specfile:
  * update copyright year
  * sed command is not needed anymore, got patches upstream
  * 2to3 not needed anymore
  * run setup.py build instead of build_ext
  * fix *.so now in pycares directory instead of pycares*.so
  * packages additional new files *py and *pyc
- update to version 2.0.1:
  * core: fix importing from errno submodule
- changes from version 2.0.0:
  * doc: fix rst syntax in README
  * sample: fix correctly setting events mask
  * setup.py: mark as executable and add shebang
  * tests.py: assertions moved out of cb so C code cannot discard
  * tests.py: test reverse_address on IPv6 also
  * tests.py: ensure all query results have proper and bound type
  * pycares.c: register result struct-sequences in pycares namespace
  * ci: run tests with PyPy as well
  * ci: run tests on CPython 3.5 on Travis
  * test: moved test file to tests/tests.py
  * test: add Python 3.5 to tox.ini
  * ci: use PyPy 5 in Travis CI
  * build: refactor building bundled c-ares
  * ci: add Python 3.5 to AppVeyor
  * core: reorganize package
  * core: add CFFI core implementation
  * cffi: fix OSX support
  * cffi: fixup FreeBSD support
  * doc: MinGW support got axed
  * doc: update supported Python versions
  * core: update bundled c-ares to 9642b57
* Sun May  8 2016 arun@gmx.de
- specfile:
  * updated source url to files.pythonhosted.org
* Sat Oct 17 2015 arun@gmx.de
- specfile:
  * use setuptools
- update to version 1.0.0:
  * build: fix build on Windows with Python
  * channel: return TTL information
  * channel:don't unnecessarily create a list for CNAME results
  * core: use inet_pton instead of inet_addr
  * channel: simplify PTR response handling
  * channel: make al queries return namedtuple-like objects
  * build: use setuptools
  * ci: add appveyor integration
  * build: enable verbose output when building c-ares
  * build: fix 64-bit build on Windows
  * build: drop support for older Python versions
  * doc: update documentation
* Sat Apr 25 2015 arun@gmx.de
- specfile:
  * update copyright year
- update to version 0.7.0:
  * setup: Fix decoding in non-UTF-8 environments
  * build: updated Travis build process
  * Add rotate option
  * Update documentation
* Tue Dec 16 2014 arun@gmx.de
-update to version 0.6.3:
  * Fix crash if ares_timeout returns NULL
  * Fix initializing channel with float timeouts < 1
- changes from version 0.6.2:
  * Fix crash due to a refcount bug
* Tue May 20 2014 toddrme2178@gmail.com
- Initial version
